%define	_hordeapp mimp
#
%include	/usr/lib/rpm/macros.php
Summary:	MIMP - a stripped down version of IMP for use on mobile phones/PDAs
Summary(pl.UTF-8):	MIMP - uproszczona wersja IMP-a do używania na telefonach przenośnych i PDA
Name:		horde-%{_hordeapp}
Version:	1.1.3
Release:	3
License:	GPL
Group:		Applications/WWW
Source0:	ftp://ftp.horde.org/pub/mimp/%{_hordeapp}-h3-%{version}.tar.gz
# Source0-md5:	65fad2a42431304fac260889ba71e13d
Source1:	%{_hordeapp}-apache.conf
Source2:	%{_hordeapp}-httpd.conf
URL:		http://www.horde.org/mimp/
BuildRequires:	rpm-php-pearprov >= 4.0.2-98
BuildRequires:	rpmbuild(macros) >= 1.268
Requires:	horde >= 3.2
Requires:	horde-imp >= 4.2
Requires:	webapps
Obsoletes:	mimp
Conflicts:	apache-base < 2.4.0-1
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_noautoreq_pear	Horde.* Text/Flowed.php

%define		hordedir	/usr/share/horde
%define		_appdir		%{hordedir}/%{_hordeapp}
%define		_webapps	/etc/webapps
%define		_webapp		horde-%{_hordeapp}
%define		_sysconfdir	%{_webapps}/%{_webapp}

%description
MIMP is a project to create a version of IMP suitable for mobile
devices such as WAP phones or PDAs. Basic functionality is now all
implemented, including mailbox viewing and paging, viewing messages,
deleting, replying, forwarding, and composing new messages.

The Horde Project writes web applications in PHP and releases them
under the GNU General Public License. For more information (including
help with MIMP) please visit <http://www.horde.org/>.

%description -l pl.UTF-8
MIMP to projekt mający na celu stworzenie wersji IMP-a odpowiedniej
dla urządzeń przenośnych, takich jak telefony WAP czy PDA. Podstawowa
funkcjonalność jest teraz zaimplementowana w całości, włącznie z
oglądaniem skrzynek pocztowych i stronicowaniem, oglądaniem
wiadomości, usuwaniem, odpowiadaniem, przekazywaniem i tworzeniem
nowych wiadomości.

Projekt Horde tworzy aplikacje WWW w PHP i wydaje je na licencji GNU
Genral Public License. Więcej informacji (włącznie z pomocą dla
MIMP-a) można znaleźć na stronie <http://www.horde.org/>.

%prep
%setup -q -n %{_hordeapp}-h3-%{version}

for i in config/*.dist; do
	mv $i config/$(basename $i .dist)
done

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},%{_appdir}/docs}

cp -a *.php $RPM_BUILD_ROOT%{_appdir}
cp -a config/* $RPM_BUILD_ROOT%{_sysconfdir}
echo '<?php ?>' > $RPM_BUILD_ROOT%{_sysconfdir}/conf.php
touch $RPM_BUILD_ROOT%{_sysconfdir}/conf.php.bak
cp -a lib locale templates themes $RPM_BUILD_ROOT%{_appdir}
cp -a docs/CREDITS $RPM_BUILD_ROOT%{_appdir}/docs

ln -s %{_sysconfdir} $RPM_BUILD_ROOT%{_appdir}/config
install %{SOURCE1} $RPM_BUILD_ROOT%{_sysconfdir}/apache.conf
install %{SOURCE2} $RPM_BUILD_ROOT%{_sysconfdir}/httpd.conf

%clean
rm -rf $RPM_BUILD_ROOT

%post
if [ ! -f %{_sysconfdir}/conf.php.bak ]; then
	install /dev/null -o root -g http -m660 %{_sysconfdir}/conf.php.bak
fi

%triggerin -- apache1 < 1.3.37-3, apache1-base
%webapp_register apache %{_webapp}

%triggerun -- apache1 < 1.3.37-3, apache1-base
%webapp_unregister apache %{_webapp}

%triggerin -- apache-base
%webapp_register httpd %{_webapp}

%triggerun -- apache-base
%webapp_unregister httpd %{_webapp}

%triggerpostun -- horde-%{_hordeapp} < 0.1-0.20051116.0.3, %{_hordeapp}
for i in conf.php filter.txt header.txt menu.php mime_drivers.php motd.php prefs.php servers.php trailer.txt; do
	if [ -f /etc/horde.org/%{_hordeapp}/$i.rpmsave ]; then
		mv -f %{_sysconfdir}/$i{,.rpmnew}
		mv -f /etc/horde.org/%{_hordeapp}/$i.rpmsave %{_sysconfdir}/$i
	fi
done

if [ -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave ]; then
	mv -f %{_sysconfdir}/apache.conf{,.rpmnew}
	mv -f %{_sysconfdir}/httpd.conf{,.rpmnew}
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/apache.conf
	cp -f /etc/horde.org/apache-%{_hordeapp}.conf.rpmsave %{_sysconfdir}/httpd.conf
fi

if [ -L /etc/apache/conf.d/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register apache %{_webapp}
	rm -f /etc/apache/conf.d/99_horde-%{_hordeapp}.conf
	%service -q apache reload
fi
if [ -L /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf ]; then
	/usr/sbin/webapp register httpd %{_webapp}
	rm -f /etc/httpd/httpd.conf/99_horde-%{_hordeapp}.conf
	%service -q httpd reload
fi

%files
%defattr(644,root,root,755)
%doc README docs/*
%dir %attr(750,root,http) %{_sysconfdir}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/apache.conf
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/httpd.conf
%attr(660,root,http) %config(noreplace) %{_sysconfdir}/conf.php
%attr(660,root,http) %config(noreplace) %ghost %{_sysconfdir}/conf.php.bak
%attr(640,root,http) %config(noreplace) %{_sysconfdir}/[!c]*.php
%attr(640,root,http) %{_sysconfdir}/conf.xml

%dir %{_appdir}
%{_appdir}/*.php
%{_appdir}/config
%{_appdir}/docs
%{_appdir}/lib
%{_appdir}/locale
%{_appdir}/templates
%{_appdir}/themes
%changelog
* Thu May 16 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/horde-mimp.git;a=log;h=master

* Thu May 16 2013 Jan Rękorajski <baggins@pld-linux.org> 95d5d79
- rpm5 friendly noautoreq
- rel 3

* Wed May 15 2013 Jan Rękorajski <baggins@pld-linux.org> 2b0c45d
- migrated to apache 2.4

* Thu Apr 22 2010 Jan Rękorajski <baggins@pld-linux.org> 80b019b
- 1.1.3

* Sat Oct 11 2008 Jan Rękorajski <baggins@pld-linux.org> 9226778
- rel 2
- sanitized R/S

* Fri Oct 10 2008 Jakub Bogusz <qboosh@pld-linux.org> 7dd0c32
- no macro in Obsoletes

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> 99e8d5d
- rel 1
- R horde-imp
- removed obsolete path patch

* Fri Oct 10 2008 Jan Rękorajski <baggins@pld-linux.org> ea6a101
- outdated

* Thu Oct 09 2008 Elan Ruusamäe <glen@pld-linux.org> d8bd92b
- BR tar was due --strip-components= arg, now that's gone no need for versioned dep

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> f01df38
- use correct dir name in setup

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> 8dc01af
- just copy CREDITS where horde wants it, instead of making a symlink
  (possibly pointing to nothingnes if package is installed with --excludedocs)

* Thu Oct 09 2008 Jan Rękorajski <baggins@pld-linux.org> c5c8927
- up to 1.1.1
- removed unreadable tangle of macros and ugly hacks

* Wed Jan 09 2008 Jakub Bogusz <qboosh@pld-linux.org> 5362679
- fixed encoding broken by paszczus; pl cosmetic

* Wed Jan 09 2008 Sławomir Paszkiewicz <paszczus@pld-linux.org> 4c6e7d8
- updated to 1.1-rc1

* Mon Oct 01 2007 Elan Ruusamäe <glen@pld-linux.org> 419b00c
- 1.0.2

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 1bef808
- removed bogus chars

* Wed Aug 01 2007 Sławomir Paszkiewicz <paszczus@pld-linux.org> 0343039
- rel 3

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> f867a65
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> dca2e4e
- converted to UTF-8

* Sun Oct 01 2006 Elan Ruusamäe <glen@pld-linux.org> 0b164df
- rel 2

* Fri Sep 29 2006 Elan Ruusamäe <glen@pld-linux.org> 584e790
- update webapp triggers due apache1 package split

